Bug 1749126 - perl-Glib-Object-Introspection should depend on perl-Gtk3
Summary: perl-Glib-Object-Introspection should depend on perl-Gtk3
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Glib-Object-Introspection
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Pisar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-05 00:46 UTC by Vadim Raskhozhev
Modified: 2020-05-13 13:57 UTC (History)
5 users (show)

Fixed In Version: perl-Glib-Object-Introspection-0.048-3.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-11 10:40:53 UTC
Type: Bug


Attachments (Terms of Use)
A patch to address this issue (2.40 KB, patch)
2019-09-11 14:09 UTC, Vadim Raskhozhev
no flags Details | Diff

Description Vadim Raskhozhev 2019-09-05 00:46:06 UTC
Description of problem: perli11ndoc script from perl-Glib-Object-Introspection package fails to work if no perl-Gtk3 is installed. Please consider adding runtime dependency on perl-Gtk3.

Version-Release number of selected component (if applicable): perl-Glib-Object-Introspection-0.047-1.fc30.x86_64

How reproducible: always

Steps to Reproduce:
1. dnf remove perl-Gtk3
2. dnf install perl-Glib-Object-Introspection
3. perli11ndoc

Actual results:
Usage: perli11ndoc <library name>[::<element name>[::<element name>]] at /usr/bin/perli11ndoc line 31.

Comment 1 Petr Pisar 2019-09-05 07:50:51 UTC
I'd rather recommend subpackaging the script. There is no reason why Glib should depend on Gtk.

Comment 2 Vadim Raskhozhev 2019-09-05 10:27:48 UTC
(In reply to Petr Pisar from comment #1)
> I'd rather recommend subpackaging the script. There is no reason why Glib
> should depend on Gtk.

From the user point of view it doesn't matter much as long as the script is usable out of the box. From the packager point of view you definitely right. AFAIU, there should be no problem doing something like

%package -n perli18ndoc
Requires: perl(Gtk3)
Requires: perl(Glib::Object::Introspection)

%files perli18ndoc
%{_bindir}/%{name}

Comment 3 Petr Pisar 2019-09-05 12:52:56 UTC
From user point of view there would a bloat of dependencies. Glib does not require X11. Gtk does. That's the reasoning.

Comment 4 Vadim Raskhozhev 2019-09-05 15:43:36 UTC
(In reply to Petr Pisar from comment #3)
> From user point of view there would a bloat of dependencies. Glib does not
> require X11. Gtk does. That's the reasoning.

I finally got your point now. You're right.

Comment 5 Vadim Raskhozhev 2019-09-11 14:09:26 UTC
Created attachment 1614108 [details]
A patch to address this issue

Proposing the patch to address this issue. Also it narrows down some wildcards in %files in order to make /usr/lib64/perl5/vendor_perl/Glib/ belong to perl-Glib only.

Comment 6 Sergio Basto 2019-12-04 02:37:36 UTC
perl-gtk3 depends on perl-Glib-Object-Introspection to build

Comment 7 Ben Cotton 2020-04-30 20:39:39 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Petr Pisar 2020-05-11 10:12:09 UTC
I read the perli11ndoc code, and the dependency on Perl Gtk3 is intentionally optional. A GUI is only used if perli11ndoc is called without any arguments and Perl Gtk3 is available. Otherwise the program insists on specifying a GIR name and the GUI is never used. Hence the most suitable fix is adding a soft dependency on Perl Gtk3.

Subpackaging perli11ndoc is still good because it's the only reason why XML::LibXML is needed.

Because we did not see any word from the maintainer, I will do it in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.